GET api/departmentItemapi/departmentitemsbydepartment/{departmentId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| departmentId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "0e64dd4c-802c-4c0b-bb15-70f5db9c6fdd",
"selected_nameplate_id": "8a0360de-7b7a-4063-885c-e4208d74de1a",
"active": true,
"department_id": "cb05bca2-6968-4318-b4b4-d9deec7e6ad0",
"id": "154c3278-a2dd-439a-8157-4e318030ade9",
"physical_item_id": "faee55cb-b00c-4f90-8b26-fc5043967a67",
"service_item_id": "25b9f909-1a1d-430f-84f8-f27056a53c33",
"item_wash_max": 1,
"quantity": 1
},
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "0e64dd4c-802c-4c0b-bb15-70f5db9c6fdd",
"selected_nameplate_id": "8a0360de-7b7a-4063-885c-e4208d74de1a",
"active": true,
"department_id": "cb05bca2-6968-4318-b4b4-d9deec7e6ad0",
"id": "154c3278-a2dd-439a-8157-4e318030ade9",
"physical_item_id": "faee55cb-b00c-4f90-8b26-fc5043967a67",
"service_item_id": "25b9f909-1a1d-430f-84f8-f27056a53c33",
"item_wash_max": 1,
"quantity": 1
}
]
application/xml, text/xml
Sample:
<ArrayOfdepartment_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<department_item>
<active>true</active>
<department_id>cb05bca2-6968-4318-b4b4-d9deec7e6ad0</department_id>
<id>154c3278-a2dd-439a-8157-4e318030ade9</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>faee55cb-b00c-4f90-8b26-fc5043967a67</physical_item_id>
<quantity>1</quantity>
<service_item_id>25b9f909-1a1d-430f-84f8-f27056a53c33</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>8a0360de-7b7a-4063-885c-e4208d74de1a</selected_nameplate_id>
<selected_sticker_id>0e64dd4c-802c-4c0b-bb15-70f5db9c6fdd</selected_sticker_id>
</department_item>
<department_item>
<active>true</active>
<department_id>cb05bca2-6968-4318-b4b4-d9deec7e6ad0</department_id>
<id>154c3278-a2dd-439a-8157-4e318030ade9</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>faee55cb-b00c-4f90-8b26-fc5043967a67</physical_item_id>
<quantity>1</quantity>
<service_item_id>25b9f909-1a1d-430f-84f8-f27056a53c33</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>8a0360de-7b7a-4063-885c-e4208d74de1a</selected_nameplate_id>
<selected_sticker_id>0e64dd4c-802c-4c0b-bb15-70f5db9c6fdd</selected_sticker_id>
</department_item>
</ArrayOfdepartment_item>